### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class CLIOptionsConfig

java.lang.Object
com.sas.services.deployment.CLIOptionsConfig

@SASScope("ALL") @BinaryCompatibilityOnly public final class CLIOptionsConfig extends Object
Command line options used to specify general purpose configuration controls.

Configuration Command Line Options
Option | Description
--- | ---
`isPrompting` | Name of the option used to specify whether the user should be prompted to specify options when using System.in <`true` | `false`> If no prompts should be used when options are specified via System.in specify a value of `false`. If the user should be interactively be prompted for options specify a value of `true`.

Since:
  9.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLIOptionsConfig()`
  Constructs a default instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.commons.cli.Option`
  `createOptionIsPrompting()`
  Creates the command line option used to designate whether the user should be prompted to specify options if options are being passed into the application using System.in.
  `String`
  `getNameOfOptionIsPrompting()`
  Gets the command line option "isPrompting" used to specify whether the user should be prompted for options if passing options via System.in.
  `static String`
  `getOptionValueFromSystemIn(String optionName, String promptMessage, String charsetName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CLIOptionsConfig

    public CLIOptionsConfig()
    Constructs a default instance.
    Since:
      9.2

- ## Method Details

  - ### getNameOfOptionIsPrompting

    public String getNameOfOptionIsPrompting()
    Gets the command line option "isPrompting" used to specify whether the user should be prompted for options if passing options via System.in.
    Returns:
      Command line option "isPrompting" used to designate whether or not the user should be prompted for options if passing options via System.in. A non-`null` reference is always returned.
    Since:
      9.2

  - ### createOptionIsPrompting

    public org.apache.commons.cli.Option createOptionIsPrompting()
    Creates the command line option used to designate whether the user should be prompted to specify options if options are being passed into the application using System.in.
    Returns:
      Option used to designate whether the user should be prompted to specify options if options are being passed into the application using System.in. A non-`null` reference is always returned.
    Since:
      9.2

  - ### getOptionValueFromSystemIn

    public static String getOptionValueFromSystemIn(String optionName, String promptMessage, String charsetName) throws ServiceException
    Throws:
      `ServiceException`